Bug 130542 - java/jdk16-doc changed distifo
Summary: java/jdk16-doc changed distifo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-14 12:50 UTC by Joseph S. Atkinson
Modified: 2009-03-25 12:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-01-14 12:50:00 UTC

About to study Java for college classes, decided to install documentation. Following the instructions given, you no longer recieve the distfile required. Sun appears to have moved to versioning (and pluralizing!) the docs as well...

Fix: 

I also considered using the following or something similar:
DISTNAME=	jdk-6u${JDK_UPDATE}-docs
JDK_UPDATE=	10--naNXcNWLHA0w7HQY4QAGKU59YhGtplnn7uqRx6QUwGE5YivG
Content-Type: text/plain; name="jdk16-doc.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="jdk16-doc.diff"

--- Makefile.orig	2009-01-14 07:04:02.000000000 -0500
+++ Makefile	2009-01-14 07:07:13.000000000 -0500
@@ -7,10 +7,10 @@
 
 PORTNAME=	jdk-doc
 PORTVERSION=	${JDK_VERSION:S/_/./g}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	java
 MASTER_SITES=	#
-DISTNAME=	jdk-6-doc
+DISTNAME=	jdk-6u10-docs
 
 MAINTAINER=	java@FreeBSD.org
 COMMENT=	Java Development Kit ${JDK_MAJOR_VER} Documentation
--- distinfo.orig	2009-01-14 07:07:31.000000000 -0500
+++ distinfo	2009-01-14 07:07:43.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (jdk-6-doc.zip) = 6596298c9edb02bfe8de14892405e02e
-SHA256 (jdk-6-doc.zip) = 30df77761591681cbb259dce028a728926813fcd18e7f87ad9631f64fe7f08bd
-SIZE (jdk-6-doc.zip) = 54898268
+MD5 (jdk-6u10-docs.zip) = 01a8f6b06f6a5396a96dd656162710e6
+SHA256 (jdk-6u10-docs.zip) = 429e805af7d8c01f357e3ae2c600a0913b17f207b35f7f9f3b22cdcea6476481
+SIZE (jdk-6u10-docs.zip) = 58890428
How-To-Repeat: 

Download and place distfile as per instructions given by `make`, then run `make install` again. It will not detect the distfile. Simply renaming the distfile to the appropriate title will show a checksum error.
Comment 1 Edwin Groothuis freebsd_committer 2009-01-14 12:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-01-19 15:32:52 UTC
Responsible Changed
From-To: java->freebsd-java

Canonicalize assignment.
Comment 3 Joseph S Atkinson 2009-02-07 00:51:31 UTC
Hi, this timed out with no response or action taken. The documentation 
distribution still sits branded u10 on the page here:

http://java.sun.com/javase/downloads/index.jsp
Comment 4 dfilter service freebsd_committer 2009-03-25 12:29:10 UTC
glewis      2009-03-25 12:28:56 UTC

  FreeBSD ports repository

  Modified files:
    java/jdk16-doc       Makefile distinfo 
  Log:
  . Chase a change in the distfile.
  
  PR:             130542
  Submitted by:   "Joseph S. Atkinson" <jsa@wickedmachine.net>
  
  Revision  Changes    Path
  1.2       +3 -3      ports/java/jdk16-doc/Makefile
  1.2       +3 -3      ports/java/jdk16-doc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Lewis freebsd_committer 2009-03-25 12:29:18 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!